WHNManagerServicePlugin (WHN Manager CL 2.0.0-4.4.0-132516 API)
Date: 2017-04-29

org.gcube.common.vremanagement.whnmanager.client.plugins

## Class WHNManagerServicePlugin

- java.lang.Object
- - org.gcube.common.vremanagement.whnmanager.client.plugins.AbstractPlugin<org.gcube.resourcemanagement.whnmanager.api.WhnManager,WHNManagerProxy>
  - - org.gcube.common.vremanagement.whnmanager.client.plugins.WHNManagerServicePlugin

- All Implemented Interfaces:
    org.gcube.common.clients.delegates.ProxyPlugin<EndpointReference,org.gcube.resourcemanagement.whnmanager.api.WhnManager,WHNManagerProxy>, org.gcube.common.clients.Plugin<org.gcube.resourcemanagement.whnmanager.api.WhnManager,WHNManagerProxy>

      public class WHNManagerServicePlugin
      extends AbstractPlugin<org.gcube.resourcemanagement.whnmanager.api.WhnManager,WHNManagerProxy>

  Author:
    roberto cirillo (CNR - ISTI)

- - ### Field Summary

    - ### Fields inherited from class org.gcube.common.vremanagement.whnmanager.client.plugins.AbstractPlugin

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `WHNManagerServicePlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Exception` | `convert(Exception fault, org.gcube.common.clients.config.ProxyConfig<?,?> proxy)`
    `WHNManagerProxy` | `newProxy(org.gcube.common.clients.delegates.ProxyDelegate<org.gcube.resourcemanagement.whnmanager.api.WhnManager> delegate)`
    `org.gcube.resourcemanagement.whnmanager.api.WhnManager` | `resolve(EndpointReference address, org.gcube.common.clients.config.ProxyConfig<?,?> config)`

    - ### Methods inherited from class org.gcube.common.vremanagement.whnmanager.client.plugins.AbstractPlugin

      `name, namespace, serviceClass, serviceName, whnmanager`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WHNManagerServicePlugin

          public WHNManagerServicePlugin()

  - ### Method Detail

    - #### convert

          public Exception convert(Exception fault,
                                   org.gcube.common.clients.config.ProxyConfig<?,?> proxy)

    - #### newProxy

          public WHNManagerProxy newProxy(org.gcube.common.clients.delegates.ProxyDelegate<org.gcube.resourcemanagement.whnmanager.api.WhnManager> delegate)

    - #### resolve

          public org.gcube.resourcemanagement.whnmanager.api.WhnManager resolve(EndpointReference address,
                                                                                org.gcube.common.clients.config.ProxyConfig<?,?> config)
                                                                         throws Exception

      Throws:
        `Exception`

Copyright © 2017. All Rights Reserved.